View Issue Details

IDProjectCategoryView StatusLast Update
0000519Pgpool-IIBugpublic2019-08-16 10:26
ReportervanAssigned Topengbo 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionopen 
Product Version4.0.5 
Target Version4.0.6Fixed in Version4.0.6 
Summary0000519: Freebsd build is failing
Descriptionauth/pool_hba.c:1245: error: dereferencing pointer to incomplete type
auth/pool_hba.c:1245: error: dereferencing pointer to incomplete type
auth/pool_hba.c: At top level:
auth/pool_hba.c:1250: warning: 'struct sockaddr_in6' declared inside parameter list
auth/pool_hba.c: In function 'ipv6eq':
auth/pool_hba.c:1255: error: dereferencing pointer to incomplete type
auth/pool_hba.c:1255: error: dereferencing pointer to incomplete type




Please add #include <netinet/in.h> in src/auth/pool_hba.c
TagsNo tags attached.

Relationships

related to 0000512 closedpengbo V4_0_5 doesn't compile under freebsd on auth/pool_hba.c 

Activities

pengbo

2019-05-23 14:10

developer   ~0002630

Yes. Someone reported this issue. I will check this one.
https://www.pgpool.net/mantisbt/view.php?id=512

pengbo

2019-05-23 16:45

developer   ~0002633

Thank you.
Could you check the patch attached?

pengbo

2019-05-23 16:46

developer  

bug519.patch (330 bytes)
diff --git a/src/auth/pool_hba.c b/src/auth/pool_hba.c
index 06b3727..794ec01 100644
--- a/src/auth/pool_hba.c
+++ b/src/auth/pool_hba.c
@@ -30,6 +30,10 @@
 #include <errno.h>
 #include <netdb.h>
 
+#ifdef __FreeBSD__
+#include <netinet/in.h>
+#endif
+
 #include "pool.h"
 #include "auth/pool_hba.h"
 #include "utils/pool_path.h"
bug519.patch (330 bytes)

van

2019-05-23 18:36

reporter   ~0002635

Hi pengbo,

Its working fine. Thankyou

Issue History

Date Modified Username Field Change
2019-05-23 13:58 van New Issue
2019-05-23 14:10 pengbo Note Added: 0002630
2019-05-23 14:10 pengbo Assigned To => pengbo
2019-05-23 14:10 pengbo Status new => assigned
2019-05-23 16:45 pengbo Note Added: 0002633
2019-05-23 16:46 pengbo File Added: bug519.patch
2019-05-23 16:48 pengbo Relationship added related to 0000512
2019-05-23 16:50 pengbo Status assigned => feedback
2019-05-23 16:50 pengbo Target Version => 4.0.6
2019-05-23 18:36 van Note Added: 0002635
2019-05-23 18:36 van Status feedback => assigned
2019-05-24 08:56 pengbo Status assigned => resolved
2019-08-15 19:15 administrator Fixed in Version => 4.0.6
2019-08-16 10:26 administrator Status resolved => closed